﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using System.Xml.Linq;

namespace DV92.Web.models
{
    public class XMLSpatialData
    {
        public List<Dictionary<string, string>> GetSpatialData()
        { 
            XDocument data = XDocument.Load(HttpContext.Current.Server.MapPath("~/App_Data/MapSpatialData.xml"));
            return this.ParseSpatialData(data.Root);
        }

        private List<Dictionary<string, string>> ParseSpatialData(XElement root)
        {
            var rawData = (from data in root.Descendants("Map").Descendants("SpatialElement")
                        where data.Parent.Attribute("ID").Value == "Europe"
                        select new SpatialData() 
                        { 
                            Name = data.Attribute("Name").Value,
                            Value = data.Attribute("Value").Value,
                            SpatialValue = data.Attribute("SpatialValue").Value
                        }).ToList<SpatialData>();

            List<Dictionary<string, string>> spatialData = new List<Dictionary<string, string>>();
            foreach (SpatialData item in rawData)
            {
                Dictionary<string, string> valueDictionary = new Dictionary<string, string>();
                valueDictionary.Add("Name", item.Name);
                valueDictionary.Add("Value", item.Value);
                valueDictionary.Add("SpatialValue", item.SpatialValue);
                spatialData.Add(valueDictionary);
            }

            return spatialData;
        }
    }
}
