﻿using System;
using System.Windows;
using Infragistics.Silverlight.Map;

public static class XamWebMapExtensions
{
    public static void NavigateTo(this XamWebMap map, GeoLocation selectedLocation)
    {
        map.WindowRect = map.GetRecForLatitudeLongitude(
            selectedLocation.Longitude - 2,
            selectedLocation.Latitude + 2,
            selectedLocation.Longitude + 2,
            selectedLocation.Latitude - 2);
    }

    public static void SetWorldRectangle(this XamWebMap map, double topLeftX, double topLeftY, double bottomRightX, double bottomRightY)
    {
        map.WorldRect = GetRecForLatitudeLongitude(map, topLeftX, topLeftY, bottomRightX, bottomRightY);
    }

    public static Rect GetRecForLatitudeLongitude(this XamWebMap map, double topLeftX, double topLeftY, double bottomRightX, double bottomRightY)
    {
        Point winTopLeft = map.ProjectMapPoint(
            topLeftX,
            topLeftY);

        Point winBottomRight = map.ProjectMapPoint(
            bottomRightX,
            bottomRightY);

        return new Rect(
            Math.Min(winTopLeft.X, winBottomRight.X),
            Math.Min(winTopLeft.Y, winBottomRight.Y),
            Math.Abs(winTopLeft.X - winBottomRight.X),
            Math.Abs(winTopLeft.Y - winBottomRight.Y));
    }

    public static Point ProjectMapPoint(this XamWebMap map, double Longitude, double Latitude)
    {
        return map.MapProjection.ProjectToMap(new Point(Longitude, Latitude));
    }
}