﻿using System;
using System.Collections.Generic;
using System.ComponentModel;

public class ViewModelBase : INotifyPropertyChanged
{
    public event PropertyChangedEventHandler PropertyChanged;

    protected virtual void RaisePropertyChangedEvent(params string[] propertyNames)
    {
        if (this.PropertyChanged != null)
        {
            foreach (string name in propertyNames)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }
    }
}