﻿using System.Windows;
using System.Collections.ObjectModel;

namespace DV92.Views.XamWebMap.GeoImagery.test
{
    public class GeoImageryViewModel : ViewModelBase
    {
        private ObservableCollection<GeoLocation> _locations = null;

        public ObservableCollection<GeoLocation> Locations
        {
            get
            {
                if (this._locations == null)
                {
                    this._locations = new ObservableCollection<GeoLocation>();
                    this._locations.Add(new GeoLocation { Name = "Tokyo", Latitude = 35.6895, Longitude = 139.6917 });
                    this._locations.Add(new GeoLocation { Name = "Seoul", Latitude = 37.5665, Longitude = 126.9780 });
                    this._locations.Add(new GeoLocation { Name = "Mexico City", Latitude = 19.4270, Longitude = -99.1276 });
                    this._locations.Add(new GeoLocation { Name = "Delhi", Latitude = 28.6353, Longitude = 77.2250 });
                    this._locations.Add(new GeoLocation { Name = "Mumbai", Latitude = 19.0177, Longitude = 72.8562 });
                    this._locations.Add(new GeoLocation { Name = "New York", Latitude = 40.7561, Longitude = -73.9870 });
                    this._locations.Add(new GeoLocation { Name = "Sao Paulo", Latitude = -23.5489, Longitude = -46.6388 });
                    this._locations.Add(new GeoLocation { Name = "Manila", Latitude = 14.6010, Longitude = 120.9762 });
                    this._locations.Add(new GeoLocation { Name = "Los Angeles", Latitude = 34.0522, Longitude = -118.2434 });
                    this._locations.Add(new GeoLocation { Name = "Shanghai", Latitude = 31.2244, Longitude = 121.4759 });
                }
                return this._locations;
            }
            set
            {
                if (this._locations != value)
                {
                    this._locations = value;
                    this.RaisePropertyChangedEvent("Locations");
                }
            }
        }
    }
}