﻿using System;
using System.Windows;
using System.Windows.Controls;

using DV92.SpatialDataService;
using Infragistics.Silverlight.Map;

namespace DV92.Views.XamWebMap.SpatialData.test
{
    public partial class SpatialData : Page
    {
        public SpatialData()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(SpatialData_Loaded);
        }

        void SpatialData_Loaded(object sender, RoutedEventArgs e)
        {
            SpatialDataClient client = new SpatialDataClient(ServiceHelper.CreateServiceBinding(),
                ServiceHelper.CreateEndPoint("http://localhost:54963/services/SpatialData.svc"));

            client.GetSpatialDataCompleted += new EventHandler<GetSpatialDataCompletedEventArgs>(client_GetSpatialDataCompleted);
            client.GetSpatialDataAsync();
        }

        void client_GetSpatialDataCompleted(object sender, GetSpatialDataCompletedEventArgs e)
        {
            SqlShapeReader rdr = this.SpatialMap.Layers["CountryLayer"].Reader as SqlShapeReader;

            if (rdr != null)
            {
                rdr.DataSource = e.Result.MapData;
                this.SpatialMap.Layers["CountryLayer"].ImportAsync();
            }
        }

        private void SpatialMap_ElementHover(object sender, MapElementHoverEventArgs e)
        {
            this.CountryValue.Text = e.Element.Name;
            this.PopulationValue.Text = e.Element.Value.ToString("N0");
        }
    }
}
